QXmppRegisterIq Class Reference
Stanzas

The QXmppRegisterIq class represents a registration IQ as defined by XEP-0077: In-Band Registration. More...

`#include <QXmppRegisterIq.h>`

Inheritance diagram for QXmppRegisterIq:
[legend]
Collaboration diagram for QXmppRegisterIq:
[legend]

## Public Member Functions

| QXmppRegisterIq (const QXmppRegisterIq &other)
QXmppRegisterIq & | operator= (const QXmppRegisterIq &other)
QString | email () const
| Returns the email for this registration IQ.
void | setEmail (const QString &email)
| Sets the email for this registration IQ.
QXmppDataForm | form () const
| Returns the QXmppDataForm for this registration IQ.
void | setForm (const QXmppDataForm &form)
QString | instructions () const
| Returns the instructions for this registration IQ.
void | setInstructions (const QString &instructions)
| Sets the instructions for this registration IQ.
QString | password () const
| Returns the password for this registration IQ.
void | setPassword (const QString &username)
| Sets the password for this registration IQ.
QString | username () const
| Returns the username for this registration IQ.
void | setUsername (const QString &username)
| Sets the username for this registration IQ.
bool | isRegistered () const
void | setIsRegistered (bool isRegistered)
bool | isRemove () const
void | setIsRemove (bool isRemove)
QXmppBitsOfBinaryDataList | bitsOfBinaryData () const
QXmppBitsOfBinaryDataList & | bitsOfBinaryData ()
void | setBitsOfBinaryData (const QXmppBitsOfBinaryDataList &bitsOfBinaryData)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Static Public Member Functions

static QXmppRegisterIq | createChangePasswordRequest (const QString &username, const QString &newPassword, const QString &to={})
static QXmppRegisterIq | createUnregistrationRequest (const QString &to={})

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Detailed Description

The QXmppRegisterIq class represents a registration IQ as defined by XEP-0077: In-Band Registration.

It is used to create an account on the server.

## Member Function Documentation

## bitsOfBinaryData() [1/2]

QXmppBitsOfBinaryDataList & QXmppRegisterIq::bitsOfBinaryData | ( |  | ) |

Returns a list of data attached using XEP-0231: Bits of Binary.

This could be used to resolve a `cid:` URL of an CAPTCHA field of the form.

Since
  QXmpp 1.2

## bitsOfBinaryData() [2/2]

QXmppBitsOfBinaryDataList QXmppRegisterIq::bitsOfBinaryData | ( |  | ) | const

Returns a list of data packages attached using XEP-0231: Bits of Binary.

This could be used to resolve a `cid:` URL of an CAPTCHA field of the form.

Since
  QXmpp 1.2

## createChangePasswordRequest()

QXmppRegisterIq QXmppRegisterIq::createChangePasswordRequest | ( | const QString & | username,
|  | const QString & | newPassword,
|  | const QString & | to = `{}`
| ) |  |

static

Constructs a regular change password request.

Parameters

  username | The username of the account of which the password should be changed.
  newPassword | The new password that should be set.
  to | Optional JID of the registration service. If this is omitted, the IQ is automatically addressed to the local server.

Since
  QXmpp 1.2

## createUnregistrationRequest()

QXmppRegisterIq QXmppRegisterIq::createUnregistrationRequest | ( | const QString & | to = `{}` | ) |

static

Constructs a regular unregistration request.

Parameters

  to | Optional JID of the registration service. If this is omitted, the IQ is automatically addressed to the local server.

Since
  QXmpp 1.2

## isRegistered()

bool QXmppRegisterIq::isRegistered | ( |  | ) | const

Returns whether the account is registered.

By default this is set to false.

Since
  QXmpp 1.2

## isRemove()

bool QXmppRegisterIq::isRemove | ( |  | ) | const

Returns whether to remove (unregister) the account.

By default this is set to false.

Since
  QXmpp 1.2

## setBitsOfBinaryData()

void QXmppRegisterIq::setBitsOfBinaryData | ( | const QXmppBitsOfBinaryDataList & | bitsOfBinaryData | ) |

Sets a list of XEP-0231: Bits of Binary attachments to be included.

Since
  QXmpp 1.2

## setForm()

void QXmppRegisterIq::setForm | ( | const QXmppDataForm & | form | ) |

Sets the QXmppDataForm for this registration IQ.

Parameters

  form |

## setIsRegistered()

void QXmppRegisterIq::setIsRegistered | ( | bool | isRegistered | ) |

Sets whether the account is registered.

By default this is set to false.

Since
  QXmpp 1.2

## setIsRemove()

void QXmppRegisterIq::setIsRemove | ( | bool | isRemove | ) |

Sets whether to remove (unregister) the account.

By default this is set to false.

Since
  QXmpp 1.2

The documentation for this class was generated from the following files:

- QXmppRegisterIq.h
- QXmppRegisterIq.cpp